Package fr.gouv.vitam.batch.report.rest.repository

# Class DeleteGotVersionsReportRepository

java.lang.Object
fr.gouv.vitam.batch.report.rest.repository.DeleteGotVersionsReportRepository

public class DeleteGotVersionsReportRepository extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELETE_GOT_VERSIONS_REPORT`
  `static final String`
  `ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteGotVersionsReportRepository(MongoDbAccess mongoDbAccess)`
  `DeleteGotVersionsReportRepository(MongoDbAccess mongoDbAccess, String collectionName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bulkAppendReport(List<DeleteGotVersionsReportEntry> reports)`
  `com.mongodb.client.MongoCursor<org.bson.Document>`
  `computeDeleteGotVersionsEntriesByProcessIdTenant(String processId, int tenantId)`
  `ReportResults`
  `computeVitamResults(String processId, Integer tenantId)`
  `void`
  `deleteReportByIdAndTenant(String processId, int tenantId)`
  `com.mongodb.client.MongoCursor<org.bson.Document>`
  `findCollectionByProcessIdTenant(String processId, int tenantId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DELETE_GOT_VERSIONS_REPORT

    public static final String DELETE_GOT_VERSIONS_REPORT
    See Also:
      - Constant Field Values

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteGotVersionsReportRepository

    public DeleteGotVersionsReportRepository(MongoDbAccess mongoDbAccess, String collectionName)

  - ### DeleteGotVersionsReportRepository

    public DeleteGotVersionsReportRepository(MongoDbAccess mongoDbAccess)

- ## Method Details

  - ### bulkAppendReport

    public void bulkAppendReport(List<DeleteGotVersionsReportEntry> reports)

  - ### findCollectionByProcessIdTenant

    public com.mongodb.client.MongoCursor<org.bson.Document> findCollectionByProcessIdTenant(String processId, int tenantId)

  - ### computeDeleteGotVersionsEntriesByProcessIdTenant

    public com.mongodb.client.MongoCursor<org.bson.Document> computeDeleteGotVersionsEntriesByProcessIdTenant(String processId, int tenantId)

  - ### deleteReportByIdAndTenant

    public void deleteReportByIdAndTenant(String processId, int tenantId)

  - ### computeVitamResults

    public ReportResults computeVitamResults(String processId, Integer tenantId)